<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.SysSdgsat1IntroductionMapper">
    <resultMap type="SysSdgsat1Introduction" id="SysSdgsat1IntroductionResult">
        <id property="id" column="id" />
        <result property="title" column="title" />
        <result property="content" column="content" />
        <result property="createBy" column="create_by" />
        <result property="createTime" column="create_time" />
        <result property="updateBy" column="update_by" />
        <result property="updateTime" column="update_time" />
    </resultMap>

    <sql id="selectSysSdgsat1IntroductionVo">
        select id, title, content, create_by, create_time, update_by, update_time
        from sys_sdgsat1_introduction
    </sql>

    <select id="selectIntroduction" resultMap="SysSdgsat1IntroductionResult">
        <include refid="selectSysSdgsat1IntroductionVo" />
        order by id desc
        limit 1
    </select>

    <insert id="insertIntroduction" parameterType="SysSdgsat1Introduction" useGeneratedKeys="true" keyProperty="id">
        insert into sys_sdgsat1_introduction
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="title != null">title,</if>
            <if test="content != null">content,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="title != null">#{title},</if>
            <if test="content != null">#{content},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
        </trim>
    </insert>

    <update id="updateIntroduction" parameterType="SysSdgsat1Introduction">
        update sys_sdgsat1_introduction
        <trim prefix="set" suffixOverrides=",">
            <if test="title != null">title = #{title},</if>
            <if test="content != null">content = #{content},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
        </trim>
        where id = #{id}
    </update>
</mapper>